Subject: Re: bug#79131: 31.0.50; igc: nested signal, SIGSEGV

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Aug 2025 13:19:46 +0300

> From: Gerd Möllmann <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Fri, 08 Aug 2025 09:10:07 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Gerd Möllmann <[email-masked]>
> >> Cc: [email-masked],  [email-masked],  [email-masked],
> >>   [email-masked]
> >> Date: Fri, 08 Aug 2025 08:25:04 +0200
> >> 
> >> Eli Zaretskii <[email-masked]> writes:
> >> 
> >> >> While an algorithm is working on tree, the tree may temporarily become
> >> >> inconsisten. Quitting out of the algorithm where that is the case is a
> >> >> no-go.
> >> >
> >> > Is that related to igc in some way? 
> >> 
> >> No.
> >> 
> >> > The discussion was about igc making this happen, or making it happen
> >> > more frequently. What you say seem to be unrelated.
> >> 
> >> More frequently was a hypotheses of Pip, as a side note.
> >
> > I responded only to that side note.
> 
> Then Ipropose to go with whatever Pip finds out to be the best: either
> specbind or *_no_quit.

Before we do, I'd like to see the actual places where we currently
call functions which can quit, while intervals are in inconsistent
state.  I don't think those places were identified (if I missed that,
please point me to the message where they were identified).

Thanks.